Debian Bug report logs - #453009
Upgrade to varkon-1.19B removes need for gcc-3.3

version graph

Package: varkon; Maintainer for varkon is (unknown);

Reported by: "Martin Guy" <martinwguy@yahoo.it>

Date: Mon, 26 Nov 2007 19:03:04 UTC

Severity: normal

Found in version 1.18a-3

Fixed in version varkon/1.18B-1

Done: Filippo Giunchedi <filippo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#453009; Package varkon. Full text and rfc822 format available.

Acknowledgement sent to "Martin Guy" <martinwguy@yahoo.it>:
New Bug report received and forwarded. Copy sent to Debian QA Group <packages@qa.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Martin Guy" <martinwguy@yahoo.it>
To: submit@bugs.debian.org
Subject: Upgrade to varkon-1.19B removes need for gcc-3.3
Date: Mon, 26 Nov 2007 18:56:16 +0000
Package: varkon
Version: 1.18A-3

Varkon FTFBS on the new ARM EABI port because it has
-fwritable-strings in its makefiles, which disappeared after gcc-3.3,
and ARM EABI only works from gcc-4.1; it will never have gcc pre-4.1

---Johan Kjellander <johan@toan.se>---
> As far as I know -fwritable-strings has been removed
> from all Varkon makefiles for linux. The current
> source dist. 1.19B on SourceForge should definitely
> compile without writable strings.
-----

I is also interesting that varkon is the very last package out of 7000
that requires gcc-3.3

I suggest upgrading the Debian version of varkon to 1.19B both to make
it compilable on Debian armel and to remove the last requirement for
gcc-3.3. For armel it's critical; for everyone else a wish-list item.

Bless

    M




Tags added: pending Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Fri, 26 Jun 2009 15:58:04 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Filippo Giunchedi <filippo@debian.org> to control@bugs.debian.org. (Fri, 26 Jun 2009 16:01:23 GMT) Full text and rfc822 format available.

Reply sent to Filippo Giunchedi <filippo@debian.org>:
You have taken responsibility. (Fri, 26 Jun 2009 16:27:08 GMT) Full text and rfc822 format available.

Notification sent to "Martin Guy" <martinwguy@yahoo.it>:
Bug acknowledged by developer. (Fri, 26 Jun 2009 16:27:08 GMT) Full text and rfc822 format available.

Message #14 received at 453009-close@bugs.debian.org (full text, mbox):

From: Filippo Giunchedi <filippo@debian.org>
To: 453009-close@bugs.debian.org
Subject: Bug#453009: fixed in varkon 1.18B-1
Date: Fri, 26 Jun 2009 16:03:35 +0000
Source: varkon
Source-Version: 1.18B-1

We believe that the bug you reported is fixed in the latest version of
varkon, which is due to be installed in the Debian FTP archive:

varkon-programmer-manual_1.18B-1_all.deb
  to pool/main/v/varkon/varkon-programmer-manual_1.18B-1_all.deb
varkon-user-manual_1.18B-1_all.deb
  to pool/main/v/varkon/varkon-user-manual_1.18B-1_all.deb
varkon_1.18B-1.diff.gz
  to pool/main/v/varkon/varkon_1.18B-1.diff.gz
varkon_1.18B-1.dsc
  to pool/main/v/varkon/varkon_1.18B-1.dsc
varkon_1.18B-1_amd64.deb
  to pool/main/v/varkon/varkon_1.18B-1_amd64.deb
varkon_1.18B.orig.tar.gz
  to pool/main/v/varkon/varkon_1.18B.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 453009@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Filippo Giunchedi <filippo@debian.org> (supplier of updated varkon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 26 Jun 2009 17:27:35 +0200
Source: varkon
Binary: varkon varkon-user-manual varkon-programmer-manual
Architecture: source all amd64
Version: 1.18B-1
Distribution: unstable
Urgency: low
Maintainer: Debian QA Group <packages@qa.debian.org>
Changed-By: Filippo Giunchedi <filippo@debian.org>
Description: 
 varkon     - A CAD-system with parametric modelling
 varkon-programmer-manual - Programmer manual for VARKONs mbs language
 varkon-user-manual - User manual for VARKON
Closes: 438255 449265 453009 465376 500849 533801
Changes: 
 varkon (1.18B-1) unstable; urgency=low
 .
   * QA upload.
   * New upstream release
     + not the latest at this time but chosen to minimize changes while
     dropping gcc 3.4 and -fwritable-strings (Closes: #453009, #533801)
     + refresh debian/patches
     + doc/ moved to man/
   * Remove useless Depend: debianutils for user/developer manual,
     sensibile-browser from sensible-utils is required anyway
   * Simplify versioned Depends/Recommends/Suggests and move recommended
     user/developer manuals to suggests
   * New Homepage (Closes: #500849)
   * Apply patch for bashism in debian/varkon.sh, thanks Tim Retout and
     Chris Lamb (Closes: #465376)
   * Disable copying of examples as they are not shipped (Closes: #449265)
   * debian/patches/remove_strip.dpatch remove strip usage from upstream
     makefile (Closes: #438255)
Checksums-Sha1: 
 32992bb8a04ff69c9b9dc1183072c3a979a1f838 1129 varkon_1.18B-1.dsc
 496dc1e07b57753da154de4d81f916fd782b6985 2855976 varkon_1.18B.orig.tar.gz
 4e88429f562af8ab7cbf4f3728044eedb19ec1d7 16491 varkon_1.18B-1.diff.gz
 b59d7d890e8fcd3f33f4a1b7a03acc505d0bab64 439608 varkon-user-manual_1.18B-1_all.deb
 09b5cb69d969f5e12f8f622fdc0ecd6b181c35bf 111420 varkon-programmer-manual_1.18B-1_all.deb
 6f05604b6a2f331014b8c343cb02efd63d30b04f 1555600 varkon_1.18B-1_amd64.deb
Checksums-Sha256: 
 8aa996a0dfba08757f81197b5540ab0305be764900c2e7fc324909bff5832c19 1129 varkon_1.18B-1.dsc
 f7a6c6889f3b967d6b9ee446127afcf28a2da3145e6cc07846d07d24e4f22b77 2855976 varkon_1.18B.orig.tar.gz
 08810be1e36d855d79d75530366cb528e77a69abbd5b1d3112a4431b0cf0021c 16491 varkon_1.18B-1.diff.gz
 a1ea5cc66a170ad3fdec3f9257731abdf7800daba1bdd94cba4a6a7f855ee87a 439608 varkon-user-manual_1.18B-1_all.deb
 6a4a074242a4042feecbc8845a1f6e61d738a1185fa29ad531a21e69690f029a 111420 varkon-programmer-manual_1.18B-1_all.deb
 32988c7e0dc7960dde827b9f23aba48d2b5ace234e57cccb6ad09ea205eb87e3 1555600 varkon_1.18B-1_amd64.deb
Files: 
 ea7a655e2a939646658982d0f99f5364 1129 x11 optional varkon_1.18B-1.dsc
 df5a8165660cd4598fa39a36368919ca 2855976 x11 optional varkon_1.18B.orig.tar.gz
 1389d2a9c0a8bdab961827aa7498e89d 16491 x11 optional varkon_1.18B-1.diff.gz
 544a90d57dfd0c6a6f75b8c4131cb5b1 439608 x11 optional varkon-user-manual_1.18B-1_all.deb
 e165753fe4d3ce72165230d127d6f038 111420 x11 optional varkon-programmer-manual_1.18B-1_all.deb
 22c19129f1b0903b78d2da420a554839 1555600 x11 optional varkon_1.18B-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpE7/sACgkQABzeamt51AEZIACeMMnHUcaU2x7SaOKvc2oVtbkA
eQUAn2ex6HAOpodMroMnjrSxXN0Ludcq
=HYpU
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian QA Group <packages@qa.debian.org>:
Bug#453009; Package varkon. (Sat, 27 Jun 2009 13:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Martin Guy <martinwguy@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian QA Group <packages@qa.debian.org>. (Sat, 27 Jun 2009 13:18:03 GMT) Full text and rfc822 format available.

Message #19 received at 453009@bugs.debian.org (full text, mbox):

From: Martin Guy <martinwguy@gmail.com>
To: 453009@bugs.debian.org
Subject: Re: Bug#453009 closed by Filippo Giunchedi <filippo@debian.org> (Bug#453009: fixed in varkon 1.18B-1)
Date: Sat, 27 Jun 2009 14:10:32 +0100
Confirmed now builds fine on armel




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Jul 2009 07:28:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 02:10:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.